Subject: [PATCH] replay: drop rev-list formatting options from manual

From: "D. Ben Knoble" <[email-masked]>
Date: Mon, 19 Jan 2026 20:47:29 -0500

The rev-list options in our manuals are quite long; git-replay's manual
is no exception. Since replay doesn't use the formatting options at all
(it has its own output format), drop them.

Signed-off-by: D. Ben Knoble <[email-masked]>
---

Notes (benknoble/commits):
    I noticed this while reading. It took me a minute to find the
    Asciidoc reference on multiple attributes [1] since it's not used
    elsewhere in the rev-list include :) I'm not sure it needs to be
    included in the commit message, though normally I would, personally.
    
    [1]: https://docs.asciidoctor.org/asciidoc/latest/directives/ifdef-ifndef/

 Documentation/git-replay.adoc       | 1 +
 Documentation/rev-list-options.adoc | 4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/Documentation/git-replay.adoc b/Documentation/git-replay.adoc
index 4c61f3aa1f..c3b214ec69 100644
--- a/Documentation/git-replay.adoc
+++ b/Documentation/git-replay.adoc
@@ -64,6 +64,7 @@ The default mode can be configured via the `replay.refAction` configuration vari
 	range should have a single tip, so that it's clear to which tip the
 	advanced <branch> should point.
 
+:git-replay: 1
 include::rev-list-options.adoc[]
 
 [[output]]
diff --git a/Documentation/rev-list-options.adoc b/Documentation/rev-list-options.adoc
index 453ec59057..c4d7a6b989 100644
--- a/Documentation/rev-list-options.adoc
+++ b/Documentation/rev-list-options.adoc
@@ -1096,7 +1096,7 @@ endif::git-rev-list[]
 	Overrides a previous `--no-walk`.
 endif::git-shortlog[]
 
-ifndef::git-shortlog[]
+ifndef::git-shortlog,git-replay[]
 Commit Formatting
 ~~~~~~~~~~~~~~~~~
 
@@ -1265,4 +1265,4 @@ ifdef::git-rev-list[]
 	counts and print the count for equivalent commits separated
 	by a tab.
 endif::git-rev-list[]
-endif::git-shortlog[]
+endif::git-shortlog,git-replay[]

base-commit: b5c409c40f1595e3e590760c6f14a16b6683e22c
-- 
2.52.0.rc0.569.g0e1cb519e9.dirty